"""
    客户详情页面
"""
from selenium.webdriver.common.by import By


class CustomersDetailsPageLocs:
    # 基本信息
    basic_info_loc = (By.XPATH, '//div[text()="基本信息"]')
    # 合同订单
    customer_contract_loc = (By.XPATH, '//div[text()="合同订单"]')
    # 客户跟进
    customer_follow_loc = (By.XPATH, '//div[text()="客户跟进"]')

    # 客户跟进页面
    # 编辑顾问评分按钮
    mark_button_loc = (By.XPATH, '//span[text()="编辑顾问评分"]')
    # 年龄选项
    age_select_loc = (By.XPATH, '(//div[@class="el-form-item__content"])[3]')
    age_loc = (By.XPATH, '//span[text()="18-30岁(30分)"]')
    # 学历选项
    school_select_loc = (By.XPATH, '(//div[@class="el-form-item__content"])[4]')
    school_loc = (By.XPATH, '//span[text()="博士/2个硕士(40分)"]')
    # 名校选项
    elite_school_select_loc = (By.XPATH, '(//div[@class="el-form-item__content"])[5]')
    elite_school_loc = (By.XPATH, '//span[text()="是(30分)"]')
    # 工作管理经验选项
    work_management_select_loc = (By.XPATH, '(//div[@class="el-form-item__content"])[6]')
    work_management_loc = (By.XPATH, '//span[text()="至少10年工作经验，且有5年以上管理经验(15分)"]')
    # 海外工作经验选项
    overseas_work_select_loc = (By.XPATH, '(//div[@class="el-form-item__content"])[7]')
    overseas_work_loc = (By.XPATH, '//span[text()="2年以上（15分）"]')
    # 名企工作经验选项
    big_company_work_select_loc = (By.XPATH, '(//div[@class="el-form-item__content"])[8]')
    big_company_work_loc = (By.XPATH, '//span[text()="不属于一二类名企，或少于3年经验（0）"]')
    # 语言能力选项
    language_ability_select_loc = (By.XPATH, '(//div[@class="el-form-item__content"])[9]')
    language_ability_loc = (By.XPATH, '//span[text()="良好中文及英文的书写及口语能力（中文口语指普通话或粤语）（20分）"]')
    # 家庭背景选项
    family_background_select_loc = (By.XPATH, '(//div[@class="el-form-item__content"])[10]')
    family_background_loc = (By.XPATH, '//span[text()="有1名直系家庭亲属是永居(5分)"]')
    # 保存按钮
    save_button_loc = (By.XPATH, '//span[text()="保 存"]')

    # 顾问评分 文本
    mark_text_loc = (By.XPATH, '//div[@class="basic-title flex-s"]/span')

    # 合同订单页面
    # 生成合同号 按钮
    contract_button_loc = (By.XPATH, '//span[text()="生成合同号"]')
    # 合同号生成后，生成合同号按钮
    contract_after_button_loc = (By.XPATH, '(//div[@class="el-main-wrap"])[2]/section/button[2]/span')
    # 创建订单 按钮
    order_button_loc = (By.XPATH, '//span[text()="创建订单"]')
    # 暂无数据 文本，用来判断是否生成订单
    no_order_loc = (By.XPATH, '//span[text()="暂无数据"]')


    # 合同类型
    contract_select_loc = (By.XPATH, '//*[@placeholder= "请选择合同类型"]')
    contract_loc = (By.XPATH, '//span[text()="新签项目"]')
    # 签约公司
    company_select_loc = (By.XPATH, '//*[@placeholder= "请选择签约公司"]')
    company_loc = (By.XPATH, '//span[text()="深圳市盈河世纪科技有限公司"]')
    # 选择 按钮
    select_button_loc = (By.XPATH, '//span[text()="选 择"]')
    # 项目名称 输入框
    project_name_loc = (By.XPATH, '//*[@placeholder= "请输入名称"]')
    # 确认 按钮
    verify_button_loc = (By.XPATH, '//span[text()="确 认"]')
    # 产品 单选框
    product_loc = (By.XPATH, '//span[@class="el-radio__inner"]')
    # 确定 按钮
    ok_button_loc = (By.XPATH, '//span[text()="确定"]')

    # 创建订单页面
    # 合同编号 文本框
    contract_number_loc = (By.XPATH, '//*[@placeholder= "请输入合同号或粘贴合同号"]')
    # 合同附件 上传 按钮
    upload_button_loc = (By.XPATH, '//span[text()="上传"]')
    # 注意事项单选按钮
    no_1_loc = (By.XPATH, '(//span[@class="el-radio__inner"])[2]')
    no_2_loc = (By.XPATH, '(//span[@class="el-radio__inner"])[4]')
    no_3_loc = (By.XPATH, '(//span[@class="el-radio__inner"])[6]')
    info_loc = (By.XPATH, '//*[@placeholder= "请输入相关信息"]')
    # 付款方式
    payment_method_select_loc = (By.XPATH, '(//*[@placeholder= "请选择"])[2]')
    payment_method_loc = (By.XPATH, '//span[text()="个人"]')
    # 提交合同按钮
    submit_button_loc = (By.XPATH, '//span[text()="提交合同"]')
    # 已确认，创单 按钮
    submit_1_button_loc = (By.XPATH, '//span[text()="已确认，创单"]')

